PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Data Unit Functions
PDL API Reference » SmartIO (Smart I/O) » Functions

## General Description

## Functions
cy_en_smartio_dutr_t | Cy_SmartIO_GetDuTr (SMARTIO_PRT_Type *base, cy_en_smartio_trnum_t trNum)
cy_en_smartio_status_t | Cy_SmartIO_SetDuTr (SMARTIO_PRT_Type *base, cy_en_smartio_trnum_t trNum, cy_en_smartio_dutr_t trSrc)
cy_en_smartio_status_t | Cy_SmartIO_SetDuTrAll (SMARTIO_PRT_Type *base, cy_en_smartio_dutr_t trSrc)
__STATIC_INLINE cy_en_smartio_dudata_t | Cy_SmartIO_GetDuData (SMARTIO_PRT_Type *base, cy_en_smartio_datanum_t dataNum)
| Gets the data unit's input "data" source. More...
cy_en_smartio_status_t | Cy_SmartIO_SetDuData (SMARTIO_PRT_Type *base, cy_en_smartio_datanum_t dataNum, cy_en_smartio_dudata_t dataSrc)
__STATIC_INLINE cy_en_smartio_duopc_t | Cy_SmartIO_GetDuOpc (SMARTIO_PRT_Type *base)
| Gets the data unit's opcode. More...
__STATIC_INLINE cy_en_smartio_dusize_t | Cy_SmartIO_GetDuSize (SMARTIO_PRT_Type *base)
| Gets the data unit's opcode operand bit-width. More...
cy_en_smartio_status_t | Cy_SmartIO_SetDuOperation (SMARTIO_PRT_Type *base, cy_en_smartio_duopc_t opcode, cy_en_smartio_dusize_t size)
__STATIC_INLINE uint8_t | Cy_SmartIO_GetDataReg (SMARTIO_PRT_Type *base)
| Gets the data unit's DATA register value. More...
cy_en_smartio_status_t | Cy_SmartIO_SetDataReg (SMARTIO_PRT_Type *base, uint8_t dataReg)

## Function Documentation

## ◆ Cy_SmartIO_GetDuData()

__STATIC_INLINE cy_en_smartio_dudata_t Cy_SmartIO_GetDuData | ( | SMARTIO_PRT_Type * | base,
|  | cy_en_smartio_datanum_t | dataNum
| ) |  |

Gets the data unit's input "data" source.

Parameters

  base | Pointer to the Smart I/O base address
  dataNum | Input data number

Returns
  Data unit input trigger source

Function Usage
  /* Refer to the Cy_SmartIO_SetDuData function usage example */

## ◆ Cy_SmartIO_GetDuOpc()

__STATIC_INLINE cy_en_smartio_duopc_t Cy_SmartIO_GetDuOpc | ( | SMARTIO_PRT_Type * | base | ) |

Gets the data unit's opcode.

Parameters

  base | Pointer to the Smart I/O base address

Returns
  Data unit opcode

Function Usage
  /* Refer to the Cy_SmartIO_SetDuOperation function usage example */

## ◆ Cy_SmartIO_GetDuSize()

__STATIC_INLINE cy_en_smartio_dusize_t Cy_SmartIO_GetDuSize | ( | SMARTIO_PRT_Type * | base | ) |

Gets the data unit's opcode operand bit-width.

Parameters

  base | Pointer to the Smart I/O base address

Returns
  Data unit operand bit-width

Function Usage
  /* Refer to the Cy_SmartIO_SetDuOperation function usage example */

## ◆ Cy_SmartIO_GetDataReg()

__STATIC_INLINE uint8_t Cy_SmartIO_GetDataReg | ( | SMARTIO_PRT_Type * | base | ) |

Gets the data unit's DATA register value.

Parameters

  base | Pointer to the Smart I/O base address

Returns
  DATA register value

Function Usage
  /* Refer to the Cy_SmartIO_SetDataReg function usage example */